Bug 1386874 (glib2-rebase) - rebase glib2 to 2.50.x
Summary: rebase glib2 to 2.50.x
Keywords:
Status: CLOSED ERRATA
Alias: glib2-rebase
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glib2
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Colin Walters
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: gnome-rebase 1386841 glib-networking-rebase 1386993 1387055 1432339
TreeView+ depends on / blocked
 
Reported: 2016-10-19 18:12 UTC by Matthias Clasen
Modified: 2017-08-01 12:28 UTC (History)
4 users (show)

Fixed In Version: glib2-2.50.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 12:28:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2100 normal SHIPPED_LIVE GTK+ bug fix update 2017-08-01 16:06:50 UTC

Description Matthias Clasen 2016-10-19 18:12:33 UTC
This is part of rebasing GNOME to 3.22.

The current stable release is 2.50.1

Comment 2 Kalev Lember 2017-01-11 14:12:34 UTC
I've pushed a WIP branch with initial rebase work. Package maintainers, please look over the branch and fix up anything if needed:

http://pkgs.devel.redhat.com/cgit/rpms/glib2/log/?h=private-rhel-7.4-rebase

Comment 3 Kalev Lember 2017-02-01 13:49:30 UTC
I've merged the rebase branch and built glib2-2.50.2-1.el7 for the rhel-7.4-gnome build target.

Comment 6 Richard W.M. Jones 2017-07-21 09:37:05 UTC
This rebase contains a bug which breaks qemu:
https://bugzilla.redhat.com/show_bug.cgi?id=1473605

Comment 7 errata-xmlrpc 2017-08-01 12:28:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2100


Note You need to log in before you can comment on or make changes to this bug.